org.jbpm.runtime.manager.impl.deploy

## Class DeploymentDescriptorIO

- java.lang.Object
- - org.jbpm.runtime.manager.impl.deploy.DeploymentDescriptorIO

-     public class DeploymentDescriptorIO
      extends Object

  XML based deployment descriptor IO manager to read and write descriptors. Underlying uses `XStream` for serialization with special class and field mapping for more readability of the produced XML output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentDescriptorIO()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.kie.internal.runtime.conf.DeploymentDescriptor` | `fromXml(InputStream inputStream)` Reads XML data from given input stream and produces valid instance of `DeploymentDescriptor`
    `static JAXBContext` | `getContext()`
    `static String` | `toXml(org.kie.internal.runtime.conf.DeploymentDescriptor descriptor)` Serializes descriptor instance to XML

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentDescriptorIO

          public DeploymentDescriptorIO()

  - ### Method Detail

    - #### fromXml

          public static org.kie.internal.runtime.conf.DeploymentDescriptor fromXml(InputStream inputStream)

      Reads XML data from given input stream and produces valid instance of `DeploymentDescriptor`
      Parameters:
        `inputStream` - input stream that comes with xml data of the descriptor
      Returns:
        instance of the descriptor after deserialization

    - #### toXml

          public static String toXml(org.kie.internal.runtime.conf.DeploymentDescriptor descriptor)

      Serializes descriptor instance to XML
      Parameters:
        `descriptor` - descriptor to be serialized
      Returns:
        xml representation of descriptor as string

    - #### getContext

          public static JAXBContext getContext()
                                        throws JAXBException,
                                               SAXException

      Throws:
        `JAXBException`
        `SAXException`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.